Bug 216333 - Capture setting is not persistent
Capture setting is not persistent
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-volume-manager (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-19 07:00 EST by Vladimir Kotal
Modified: 2013-03-05 22:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:52:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
amixer output just after login (9.85 KB, text/plain)
2006-11-19 07:02 EST, Vladimir Kotal
no flags Details
amixer output after unmuting microphone (9.85 KB, text/plain)
2006-11-19 07:03 EST, Vladimir Kotal
no flags Details

  None (edit)
Description Vladimir Kotal 2006-11-19 07:00:43 EST
Description of problem:
Setting of Capture to on is not persistent across user logins/reboots

Version-Release number of selected component (if applicable):
gnome-media-2.16.1-2.fc6

How reproducible:
Turn on microphone capture via /usr/bin/gnome-volume-control and see if it
remains set across logins/reboots.

Steps to Reproduce:
1. login as regular user
2. set Microphone to on
3. reboot
4. login again as the same user
  
Actual results:
Microphone is turned off

Expected results:
Microphone should be turned on

Additional info:
The difference between amixer output just after login and after it was turned on:

--- /tmp/amixer.before  2006-11-19 12:53:43.000000000 +0100
+++ /tmp/amixer.after   2006-11-19 12:53:54.000000000 +0100
@@ -123,8 +123,8 @@
   Playback channels: Front Left - Front Right
   Capture channels: Front Left - Front Right
   Limits: Playback 0 - 31
-  Front Left: Playback 23 [74%] [on] Capture [on]
-  Front Right: Playback 23 [74%] [on] Capture [on]
+  Front Left: Playback 23 [74%] [on] Capture [off]
+  Front Right: Playback 23 [74%] [on] Capture [off]
 Simple mixer control 'Line LiveDrive',0
   Capabilities: pvolume cvolume cswitch
   Playback channels: Front Left - Front Right
@@ -154,8 +154,8 @@
   Capture channels: Front Left - Front Right
   Limits: Playback 0 - 31
   Mono: Playback 26 [84%] [on]
-  Front Left: Capture [off]
-  Front Right: Capture [off]
+  Front Left: Capture [on]
+  Front Right: Capture [on]
 Simple mixer control 'Mic Boost (+20dB)',0
   Capabilities: pswitch pswitch-joined
   Playback channels: Mono
Comment 1 Vladimir Kotal 2006-11-19 07:02:52 EST
Created attachment 141580 [details]
amixer output just after login
Comment 2 Vladimir Kotal 2006-11-19 07:03:39 EST
Created attachment 141581 [details]
amixer output after unmuting microphone
Comment 3 Vladimir Kotal 2006-11-19 09:14:08 EST
The workaround is to put following command to be executed after login:

/usr/bin/amixer sset Mic cap

(e.g. via gnome-session-properties)

After that it works as expected.
Comment 4 Bug Zapper 2008-04-04 00:47:21 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 12:52:09 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.